Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ipe::AllAttributes Class Reference
Ipe Attributes

Collection of all object attributes. More...

`#include <ipeattributes.h>`

List of all members.

## Public Member Functions

- AllAttributes ()

## Public Attributes

- TPathMode iPathMode
- Attribute iStroke
- Attribute iFill
- Attribute iDashStyle
- Attribute iPen
- bool iFArrow
- bool iRArrow
- Attribute iFArrowShape
- Attribute iRArrowShape
- Attribute iFArrowSize
- Attribute iRArrowSize
- Attribute iSymbolSize
- Attribute iTextSize
- THorizontalAlignment iHorizontalAlignment
- TVerticalAlignment iVerticalAlignment
- Attribute iTextStyle
- TPinned iPinned
- bool iTransformableText
- TTransformations iTransformations
- TLineJoin iLineJoin
- TLineCap iLineCap
- TFillRule iFillRule
- Attribute iOpacity
- Attribute iTiling
- Attribute iGradient
- Attribute iMarkShape

## Detailed Description

Collection of all object attributes.

## Constructor & Destructor Documentation

AllAttributes::AllAttributes | ( |  | ) |

Constructor sets default values.

## Member Data Documentation

TPathMode ipe::AllAttributes::iPathMode

Should we stroke and/or fill?

Attribute ipe::AllAttributes::iStroke

Stroke color.

Attribute ipe::AllAttributes::iFill

Fill color.

Attribute ipe::AllAttributes::iDashStyle

Dash style.

Attribute ipe::AllAttributes::iPen

Pen (that is, line width).

bool ipe::AllAttributes::iFArrow

Arrow forward?

bool ipe::AllAttributes::iRArrow

Reverse arrow?

Attribute ipe::AllAttributes::iFArrowShape

Shape of forward arrows.

Attribute ipe::AllAttributes::iRArrowShape

Shape of reverse arrows.

Attribute ipe::AllAttributes::iFArrowSize

Forward arrow size.

Attribute ipe::AllAttributes::iRArrowSize

Reverse arrow size.

Attribute ipe::AllAttributes::iSymbolSize

Symbol size.

Attribute ipe::AllAttributes::iTextSize

Text size. Horizontal alignment of label objects.

THorizontalAlignment ipe::AllAttributes::iHorizontalAlignment

TVerticalAlignment ipe::AllAttributes::iVerticalAlignment

Vertical alignment of label objects.

Attribute ipe::AllAttributes::iTextStyle

Text style.

TPinned ipe::AllAttributes::iPinned

Pinned status. Should newly created text be transformable?

bool ipe::AllAttributes::iTransformableText

If this is false, newly created text will only allow translations. Otherwise, the value of iTranslations is used (as for other objects).

TTransformations ipe::AllAttributes::iTransformations

Allowed transformations.

TLineJoin ipe::AllAttributes::iLineJoin

Line join style.

TLineCap ipe::AllAttributes::iLineCap

Line cap style.

TFillRule ipe::AllAttributes::iFillRule

Shape fill rule.

Attribute ipe::AllAttributes::iOpacity

Opacity.

Attribute ipe::AllAttributes::iTiling

Tiling pattern.

Attribute ipe::AllAttributes::iGradient

Gradient pattern.

Attribute ipe::AllAttributes::iMarkShape

Shape of Mark to create.

The documentation for this class was generated from the following files:

- ipeattributes.h
- ipeattributes.cpp